package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("rt")
public abstract class class467 extends class292 implements class534 {
   @ObfuscatedSignature(
      descriptor = "(Lnt;Lof;I)V"
   )
   protected class467(StudioGame var1, Language var2, int var3) {
      super(var1, var2, var3);
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(IB)Lsj;",
      garbageValue = "-67"
   )
   protected abstract class469 vmethod9077_base(int var1);

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(I)I",
      garbageValue = "-973269100"
   )
   public int method8531_base() {
      return super.field3102;
   }

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(II)Ljava/lang/Object;",
      garbageValue = "415168938"
   )
   public Object vmethod9599_base(int var1) {
      class469 var2 = this.vmethod9077_base(var1);
      return var2 != null && var2.method8553_base()?var2.method8554_base():null;
   }

   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "(Luj;I)Lux;",
      garbageValue = "-475761809"
   )
   public class535 method8536(Buffer var1) {
      int var2 = var1.readUnsignedShort_base();
      class469 var3 = this.vmethod9077_base(var2);
      class535 var4 = new class535(var2);
      Class var5 = var3.field4808.field5064;
      if(var5 == Integer.class) {
         var4.field5205 = Integer.valueOf(var1.readInt_base());
      } else if(var5 == Long.class) {
         var4.field5205 = Long.valueOf(var1.readLong_base());
      } else if(var5 == String.class) {
         var4.field5205 = var1.readStringCp1252NullCircumfixed_base();
      } else {
         if(!class467.class.isAssignableFrom(var5)) {
            throw new IllegalStateException();
         }

         try {
            class530 var6 = (class530)var5.newInstance();
            var6.method9580(var1);
            var4.field5205 = var6;
         } catch (InstantiationException var7) {
            ;
         } catch (IllegalAccessException var8) {
            ;
         }
      }

      return var4;
   }
}
